For the complete documentation index, see llms.txt. This page is also available as Markdown.

URL

Scrape any Bodega Aurrerá URL of your choice.

You can get Bodega Aurrerá results by providing your own URLs to our service using the bodegaaurrera source. The API returns the HTML for any Bodega Aurrerá page you like.

Request samples

The samples below illustrate how you can get Bodega Aurrerá pages.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "bodegaaurrera",
        "url": "https://www.bodegaaurrera.com.mx/browse/eventos/precio-bodega/precio-bodega-los-mas-vendidos/490004_300043_310001"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    'source': 'bodegaaurrera',
    'url': 'https://www.bodegaaurrera.com.mx/browse/eventos/precio-bodega/precio-bodega-los-mas-vendidos/490004_300043_310001'
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

We use synchronous Realtime integration method in our examples. If you would like to use Proxy Endpoint or asynchronous Push-Pull integration, refer to the integration methods section.

Request parameter values

Generic

Parameter
Description
Default Value

source

Sets the scraper.

bodegaaurrera

url

Direct URL (link) to any page.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Localization

Adapt results to a specific location, store, or fulfillment type.

Parameter
Description
Type

delivery_zip

Set the delivery or pickup location. Accepts a Mexican postal code.

String

store_id

Specify a store. See the available store IDs below.

String

fulfillment_type

Set the fulfillment method. Available values: pickup, delivery.

String

delivery_zip, store_id, and fulfillment_type apply with the despensa subdomain (despensa.bodegaaurrera.com.mx).

Find the available Bodega Aurrerá store IDs below:

Last updated

Was this helpful?